View file execution records

Lists workflow execution records triggered by files, used to locate associated workflows and jobs.

GET https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/file-executions

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

Query parameters

offsetinteger
Returns the starting position of the list.
limitinteger
Return the quantity.

Request example

curl -X GET "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/file-executions?offset=$OFFSET" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

data.executionsarray
File execution record.
data.totalinteger
The total number of matching records.

Successful response example

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "executions": [],
    "total": 0
  }
}

Error response

codestring
Error code.
msgstring
Readable error message.
datanull
`null` in an error response.

Error response example

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}

Follow-up operations

Use the workflow and execution identifier in the record query workflow job details.

Last updated on